Web lists-archives.com

[Samba] Samba for Debian Jessie updated. ( 4.5.16 / 4.8.9 ) amd64/i386




Ok again, since my mail client borked me... 
The text version..  ;-) 

 
I've updated the Jessie repo. 
Repo Info: https://apt.van-belle.nl <https://apt.van-belle.nl>  
 
Due to the fact i still see people using samba 4.5 and Debian updated the
Stretch version (in stretch-proposal) to 4.5.16.
I've added 1 more update here, to stay inline with debian and due to the
added fixes, which are an important addition to this version. 
 
The official Debian changes on stretch proposal
 
  * Fix CVE-2018-14629 regression when there're more than 20 records on a
non CNAME record.
  * Fix rmdir on non-empty samba directory (Closes: #915248)
  * Ignore nmbd start errors when there is no non-loopback interface
(Closes: #893762)
  * Ignore nmbd start errors when there is  no local IPv4 non-loopback
interface  (Closes: #859526)
  * s3:ntlm_auth: fix memory leak in manage_gensec_request() (Closes:
#919611)
  * Add debian/gitlab-ci.yml
 
As you see some important fixes.
 
my Version :  samba (2:4.5.16+nmu-1.1~deb8) jessie; urgency=medium
 .  * Non-maintainer upload.
   * Synced with Debian Proposed updates from Debian Salsa (git).
   * Rebuilded for Debian Jessie.
   * No changes made.
   * Last and Final build for Samba 4.5.
 
>>    * Last and Final build for Samba 4.5. <<  
Yes, really this time, even if debian updates again on 4.5, i wont update it
again. 
Im prepairing for 4.10 and its to much to do them all, thats simple. 
 
 
And i've updated the samba 4.8 line to 4.8.9 on Jessie. 
No changes in the packages, just samba bugfixes, as shown in the changelogs.

 
Debian Buster in is not to far away and i suggest people start preparing. 
My preferred upgrade path from Jessie to Stretch. 
 
1) read : https://downloads.van-belle.nl/samba4/Upgrade-info.txt  (
debian/and releated specific info. ) 
Take note of the smb.conf changes and read :
https://wiki.samba.org/index.php/Updating_Samba
( start of preparing for samba upgrade due to : bugzilla nr : 13760 )
 
2) Update samba from 4.5 to 4.7 to 4.8. on jessie is obligated to avoid
database problems when upgradeing to 4.9.
    Its the same for Stretch 4.5-4.7 to 4.9, you must upgrade first to 4.7
to 4.8 to 4.9 
    see : https://bugzilla.samba.org/show_bug.cgi?id=13760 
    and list threads: 
    [Samba] AD bind DNS broken after 4.7.3 -> 4.9.2 upgrade
    [Samba] After upgrade to 4.9.4, internal DNS no longer working
 
Once samba is updated to 4.8 then your ready to upgrade to Stretch. 
Other upgrade steps are possible but this is a well tested upgrade path,
this is how i upgrade my production servers. 
 
3) Now upgrade jessie to stretch, i suggest, backup /var/log, and clear the
logs, then reboot then upgrade. 
    This make is more easy to track upgrade failures/problems. 
4) Change the van-belle repo from jessie to stretch. and upgrade
samba-jessie to samba-stretch ( samba 4.8.x is on jessie and stretch ) 
6) Review you logs, clear them, reboot, review logs again. 
7) Be happy, your done, optional upgrade samba to 4.9. on stretch
 
 
Have fun with these. 
 
 
Greetz, 
 
Louis
GPG-ID: EB7A89CF



-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba